
#include "hwCtrl.h"
#include "r_cg_port.h"
#include "iodefine.h"
#include "appTask.h"
#include "PINdef.h"






uint8_t GetIOState(uint8_t sigid)
{
    switch (sigid)
    {
    case SIGID_KEY1:
        return IN_KEY1==0?1:0;
        break;
    case SIGID_KEY2:
        return IN_KEY2==0?1:0;
    default:
        return 0;
        break;
    }
}


#define OUT_OFF 0
#define OUT_ON  1

void MOTOR1Ctrl(uint8_t act)
{
    switch (act)
    {
    case ACT_NOACT:
        OUT_RLY1P = OUT_OFF;
        OUT_RLY1N = OUT_OFF;
        break;
    case ACT_XH:
        OUT_RLY1P = OUT_ON;
        OUT_RLY1N = OUT_OFF;
        break;
    case ACT_XQ:
        OUT_RLY1P = OUT_OFF;
        OUT_RLY1N = OUT_ON;
        break;
    default:
        break;
    }
}

void MOTOR2Ctrl(uint8_t act)
{
    switch (act)
    {
    case ACT_NOACT:
        OUT_RLY2P = OUT_OFF;
        OUT_RLY2N = OUT_OFF;
        break;
    case ACT_XH:
        OUT_RLY2P = OUT_ON;
        OUT_RLY2N = OUT_OFF;
        break;
    case ACT_XQ:
        OUT_RLY2P = OUT_OFF;
        OUT_RLY2N = OUT_ON;
        break;
    default:
        break;
    }
}


extern uint16_t g_AdVal[3];
uint16_t getAdval(uint8_t ch)
{
    if (ch < 4)
    {
        return g_AdVal[ch];
    }
    
    return 0;
}


